MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022454Open CASCADE[OCCT] OCCT:Data Exchangepublic2011-04-29 10:462016-12-09 16:38
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0022454: Export /Import of valid model leads to lost of tolerances
DescriptionExport of the attached model 1.brep (solid) and following import leads to lost
of tolerances. As result it (just expoted model) can't be opened in other
CADs(such as catia or pro/e) software correctly.
Tolerances before export:
========================
Tolerance MAX=0.0044180707084453498 AVG=0.00028114085093888834
MIN=1.0000000000000001e-005
FACE : MAX=1.0000000000000001e-005 AVG=1.0000000000000001e-005
MIN=1.0000000000000001e-005
EDGE : MAX=0.0044180707084453498 AVG=0.00027160806391925076
MIN=1.0000000000000001e-005
VERTEX : MAX=0.0044180707084453498 AVG=0.00030899891032537525
MIN=1.0000000000000001e-005

Tolerances after re-import:
===========================
Tolerance MAX=383.40233327855935 AVG=10.160839404293757 MIN=9.9999999999999995e-008
FACE : MAX=9.9999999999999995e-008 AVG=9.9999999999999995e-008
MIN=9.9999999999999995e-008
EDGE : MAX=383.40233327855935 AVG=6.9339315386751332 MIN=9.9999999999999995e-008
VERTEX : MAX=383.40233327855935 AVG=12.639639541589665 MIN=9.9999999999999995e-008

Script to reproduce the problem.
restore 1.brep s
checkshape s
stepwrite m s st.stp
stepread st.stp a *
toler a_1
Steps To ReproduceNot needed
TagsNo tags attached.
Test case numberbugs modalg_6 bug22454
Attached Files? file icon 1.brep (664,045 bytes) 2011-04-29 10:46

- Relationships

-  Notes
(0057611)
git (administrator)
2016-09-08 18:17

Branch CR22454 has been created by inv.

SHA-1: 4729e0ad367a0df7b599975b86f8644aec93edec


Detailed log of new commits:

Author: bugmaster
Date: Thu Sep 8 18:19:41 2016 +0300

    0022454: Export /Import of valid model leads to lost of tolerances
    
    Adding testing case
(0057613)
bugmaster (administrator)
2016-09-08 18:20

Problem is not reproduced on current status of master.
Test case was added.
(0059483)
git (administrator)
2016-10-28 21:44

Branch CR22454 has been deleted by kgv.

SHA-1: 4729e0ad367a0df7b599975b86f8644aec93edec

- Related Changesets
occt: master 849c1374
Timestamp: 2016-09-08 15:19:41
Author: bugmaster
Details ] Diff ]
0022454: Export /Import of valid model leads to lost of tolerances

Adding testing case
add - tests/bugs/modalg_6/bug22454 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2016-09-08 18:17 git Note Added: 0057611
2016-09-08 18:19 bugmaster Assigned To bugmaster => gka
2016-09-08 18:19 bugmaster Status new => resolved
2016-09-08 18:19 bugmaster Steps to Reproduce Updated View Revisions
2016-09-08 18:19 bugmaster Assigned To gka => bugmaster
2016-09-08 18:19 bugmaster Status resolved => reviewed
2016-09-08 18:20 bugmaster Note Added: 0057613
2016-09-08 18:20 bugmaster Status reviewed => tested
2016-09-08 18:20 bugmaster Test case number => bugs modalg_6 bug22454
2016-09-08 18:20 bugmaster Fixed in Version EMPTY =>
2016-09-08 18:20 bugmaster Target Version => 7.1.0
2016-09-08 18:20 bugmaster Description Updated View Revisions
2016-09-16 09:43 bugmaster Changeset attached => occt master 849c1374
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:44 git Note Added: 0059483
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker